
Redmine - Feature #33383

Update jQuery to 3.5.1

2020-05-01 14:02 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Third-party libraries Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed   

Description

jQuery 2 is end of life and we should update the code to support latest jQuery 3.5.0 (at this time).

Related issues:

Related to Redmine - Patch #33384: jQuery: replace deprecated size() method w... Closed

Related to Redmine - Defect #33392: Fix invalid selector in function displayT... Closed

Related to Redmine - Defect #33896: Incorrect position of the revision graph Closed

Related to Redmine - Feature #34337: Remove jQuery Migrate Closed

Related to Redmine - Patch #35729: Update jQuery to 3.6.0 Closed

Associated revisions

Revision 19803 - 2020-06-03 15:23 - Go MAEDA

Update jQuery to 3.5.1 without jQuery Migrate (#33383).

Patch by Marius BALTEANU.

Revision 19804 - 2020-06-03 15:25 - Go MAEDA

Fix cannot set property 'dragover' of undefined (#33383).

Patch by Marius BALTEANU.

Revision 20147 - 2020-10-15 16:39 - Go MAEDA

Incorrect position of the revision graph (#33896, #33383).

Patch by Marius BALTEANU.

Revision 20336 - 2020-11-12 01:15 - Go MAEDA

Fix that "View differences" buttons on RepositoriesController#diff page does not work due to r20147 (#33896, #33383).

Patch by Mizuki ISHIKAWA.

Revision 20518 - 2020-11-30 01:50 - Go MAEDA

Add jQuery Migrate (#33383).

Revision 20709 - 2021-01-10 01:18 - Go MAEDA

Remove security fix for JQuery 1.2 (#33383).

Patch by Marius BALTEANU.

History

#1 - 2020-05-01 14:03 - Marius BĂLTEANU

- Related to Patch #33384: jQuery: replace deprecated size() method with length  added

#2 - 2020-05-02 16:21 - Marius BĂLTEANU

- Related to Defect #33392: Fix invalid selector in function displayTabsButtons() added
#3 - 2020-05-20 23:04 - Marius BĂLTEANU

- File 0002-Fix-cannot-set-property-dragover-of-undefined-jQuery.patch added

- File 0001-Update-jQuery-to-3.5.1-without-jQuery-Migrate.patch added

- Subject changed from Update jQuery to 3.5.0 to Update jQuery to 3.5.1

- Assignee deleted (Marius BĂLTEANU)

Here are two patches that update jQuery to 3.5.1 and fix a problem caused by this change.

Because the update can break some plugins, I propose the following plan for this update:

1. Commit the current patches

2. Keep this ticket open for one or two months in order to have time to find potential problems generated by the update

3. After this period, commit jQuery Migrate

4. In Redmine 5.0.0, remove jQuery Migrate and keep only the latest jQuery version.

#4 - 2020-05-24 07:45 - Go MAEDA

Thank you for working on updating JQuery.

Marius BALTEANU wrote:

Because the update can break some plugins, I propose the following plan for this update:

1. Commit the current patches

2. Keep this ticket open for one or two months in order to have time to find potential problems generated by the update

3. After this period, commit jQuery Migrate

 I agree. In order to make enough time to discover and fix issues caused by the update, I think it is better to commit the patches as soon as we can.

Do you think it is OK to commit the patches right now?

#5 - 2020-06-02 15:14 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0

I think it is better to commit this patch as soon as possible in order to detect problems early. Setting the target version to 4.2.0.

#6 - 2020-06-03 15:25 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patches. Thank you.

#7 - 2020-06-13 19:02 - Marius BĂLTEANU

Go MAEDA wrote:

Thank you for working on updating JQuery.

Marius BALTEANU wrote:

Because the update can break some plugins, I propose the following plan for this update:

1. Commit the current patches

2. Keep this ticket open for one or two months in order to have time to find potential problems generated by the update

3. After this period, commit jQuery Migrate

 I agree. In order to make enough time to discover and fix issues caused by the update, I think it is better to commit the patches as soon as we

can.

Do you think it is OK to commit the patches right now?

 Sorry for my late reply, yes, it's ok to have the patches committed.
https://jquery.com/upgrade-guide/3.0/#breaking-change-jquery-event-props-and-jquery-event-fixhooks-removed
https://jquery.com/upgrade-guide/3.0/#jquery-migrate-plugin
https://www.redmine.org/versions/155
https://jquery.com/upgrade-guide/3.0/#jquery-migrate-plugin
https://jquery.com/upgrade-guide/3.0/#jquery-migrate-plugin


#8 - 2020-08-24 07:59 - Go MAEDA

- Related to Defect #33896: Incorrect position of the revision graph added

#9 - 2020-11-29 06:53 - Go MAEDA

- File add-jquery-migrate.patch added

- Assignee changed from Go MAEDA to Marius BĂLTEANU

Marius BALTEANU wrote:

Because the update can break some plugins, I propose the following plan for this update:

1. Commit the current patches

2. Keep this ticket open for one or two months in order to have time to find potential problems generated by the update

3. After this period, commit jQuery Migrate

4. In Redmine 5.0.0, remove jQuery Migrate and keep only the latest jQuery version.

 Six months have passed since upgrading JQuery to 3.5.1. I think it is time to add jquery-migrate. Marius, what is your opinion?

#10 - 2020-11-29 13:42 - Marius BĂLTEANU

Go MAEDA wrote:

Marius BALTEANU wrote:

Because the update can break some plugins, I propose the following plan for this update:

1. Commit the current patches

2. Keep this ticket open for one or two months in order to have time to find potential problems generated by the update

3. After this period, commit jQuery Migrate

4. In Redmine 5.0.0, remove jQuery Migrate and keep only the latest jQuery version.

 Six months have passed since upgrading JQuery to 3.5.1. I think it is time to add jquery-migrate. Marius, what is your opinion?

 Yes, let's do it.

#11 - 2020-11-30 01:52 - Go MAEDA

- Related to Feature #34337: Remove jQuery Migrate added

#12 - 2020-11-30 01:53 - Go MAEDA

- Status changed from Resolved to Closed

- Assignee changed from Marius BĂLTEANU to Go MAEDA

Added jQuery Migrate in r20518.

#13 - 2021-01-09 13:00 - Marius BĂLTEANU

- File remove_security_fix_for_jquery_1_2.patch added

- Status changed from Closed to Reopened

We should remove the security fix for jQuery < 3.

#14 - 2021-01-10 01:19 - Go MAEDA

- Status changed from Reopened to Closed

Marius BALTEANU wrote:

We should remove the security fix for jQuery < 3.

 Done in r20709.

#15 - 2021-01-10 01:19 - Go MAEDA

- Category changed from Code cleanup/refactoring to Third-party libraries
https://jquery.com/upgrade-guide/3.0/#jquery-migrate-plugin
https://www.redmine.org/versions/155
https://jquery.com/upgrade-guide/3.0/#jquery-migrate-plugin
https://www.redmine.org/versions/155
https://www.redmine.org/projects/redmine/repository/svn/revisions/20518
https://www.redmine.org/projects/redmine/repository/svn/revisions/20709


#16 - 2021-08-10 21:57 - Marius BĂLTEANU

- Related to Patch #35729: Update jQuery to 3.6.0 added

Files

0002-Fix-cannot-set-property-dragover-of-undefined-jQuery.patch 1016 Bytes 2020-05-20 Marius BĂLTEANU

0001-Update-jQuery-to-3.5.1-without-jQuery-Migrate.patch 183 KB 2020-05-20 Marius BĂLTEANU

add-jquery-migrate.patch 11.7 KB 2020-11-29 Go MAEDA

remove_security_fix_for_jquery_1_2.patch 585 Bytes 2021-01-09 Marius BĂLTEANU
